Summary: Una rubrica telefonica.
Name: rubrica
Version: 0.37
Release: 5
Copyright: GPL
Group: Applications/Databases
Source: http://digilander.iol.it/robang/rubrica
BuildRoot: /tmp/%{name}

%description
Rubrica Italiana permette di gestire la propria rubrica telefonica.
Vi sono diversi modelli nella directory /esempi a cui fare riferimento ma in
generale la struttura della rubrica e` personalizzabile (leggere FORMAT.INPUT)
sia per editing diretto dei files di esempio sia mediante interfaccia grafica.
Sono disponibili funzioni di ricerca e ordinamento. In presenza di modem
un'apposita maschera permette di chiamare il numero digitato.

%prep
cd -
oldps="$(pwd)"
\cp -f %{name}-%{version}-it.tgz /tmp
cd /tmp
\rm -rf /tmp/%{name}-%{version}-it
\rm -rf $RPM_BUILD_ROOT
\rm -rf $RPM_BUILD_ROOT-%{version}-it
tar xvfz %{name}-%{version}-it.tgz

#Voglio creare un RPM solo binario
#\rm -rf $RPM_BUILD_ROOT-%{version}-it\po
#\rm -rf $RPM_BUILD_ROOT-%{version}-it\src
#\rm -rf $RPM_BUILD_ROOT-%{version}-it\intl
#\rm -f Rubrica* Make* config* a* s* t*
if [ ! -d /usr/src/RPM/SOURCES/%{name} ]
then
 \mkdir /usr/src/RPM/SOURCES/%{name}
fi


%build
# Questa parte non interessa perche` preferisco farla con dorpm.sh
cd -
cd /tmp/%{name}-%{version}-it
./autogen.sh
make
\mv src/%{name} bin
chmod a+xr bin/%{name}
make clean
cd -


%install
umask 755
\rm -rf $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/local/share/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc
mkdir -p $RPM_BUILD_ROOT/usr/bin
# Esploso il tgz che conteneva il pacchetto lo copia nella destinazione
cd /tmp/%{name}-%{version}-it
\cp -arf bin doc pixmaps kde-mime $RPM_BUILD_ROOT/usr/local/share/%{name}
# Crea un link in /usr/local/bin dell'eseguibile di Rubrica Italiana
cd $RPM_BUILD_ROOT/usr/local/bin
\ln -sf ../share/%{name}/bin/%{name} %{name}
cd -
# Crea un link in /usr/bin dell'eseguibile di Rubrica Italiana
cd $RPM_BUILD_ROOT/usr/bin
\ln -sf ../local/share/%{name}/bin/%{name} %{name}
cd -
# Crea un link della cartella rubrica in /usr/doc
cd $RPM_BUILD_ROOT/usr/doc
\ln -sf ../../local/share/%{name} %{name}-%{version}-it
cd -
# Imposta i permessi in modo accettabile
chmod -R a+r $RPM_BUILD_ROOT/*
echo "Io sono qui: $(pwd)"

%clean
umask 022
\rm -f /tmp/%{name}-%{version}-it.tgz
\rm -rf $RPM_BUILD_ROOT
\rm -rf $RPM_BUILD_ROOT-%{version}-it
cd -
pwd
ls *.rpm
\mv -f /usr/src/RPM/RPMS/i*86/%{name}-%{version}*rpm .
chmod a+wr %{name}-%{version}*rpm


%files
%defattr (-,root,root)
#%doc AUTHORS ChangeLog COMPILING COPYNG INSTALL KNOWBUGS MANUALE README NEWS LineCounting esempi html *.rbc
/usr/local/share/%{name}/*
/usr/doc/%{name}-%{version}-it
/usr/local/bin/%{name}
/usr/bin/%{name}

%changelog
* Mon Jun 05 2001 Roberto A. Foglietta 60;robang@libero.it62;
- Adattato per RH 6.2 con la sola modifica seguente al sistema:
  ln -s /usr/src/redhat /usr/src/RPM

* Thu Feb 20 2001 Roberto A. Foglietta 60;robang@libero.it62;
- Il paccheto RPM binario ora contiene solo binario, docs e mime

* Thu Nov 29 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Il binario di Rubrica Italiana e` tornato in /usr/local/share/rubrica/bin
- Il binario di Rubrica Italiana e` linkato in in /usr/local/bin e /usr/bin
- La directory /usr/doc/rubrica-%{version}-it e` un link a /usr/local/share/rubrica

* Thu Nov 02 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Il binario di Rubrica Italiana e` stato spostato in /usr/local/bin
- La directory pixmaps e` stata ripristinata rispetto al collegamento
- La directory docs e` stata rinominata html

* Thu Aug 18 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Il binario di Rubrica Italiana e` stato spostato in /usr/bin

* Mon Aug 07 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Primo RPM ufficiale per Rubrica Italiana



